Bug 988147 - Grouplist / Groups don't work properly
Grouplist / Groups don't work properly
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
19
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 16:50 EDT by Christian Schmitt
Modified: 2015-02-17 11:20 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:20:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Schmitt 2013-07-24 16:50:02 EDT
Description of problem:
yum grouplist
yum groupremove
yum groupinstall
doesn't work as expected. can't remove installed groups, after removing the packages manually i cann't reinstall the group i removed.
grouplist doesn't show installed packages after a clean installation (if i install groups manually they are shown correct expect desktop enviroments)


Version-Release number of selected component (if applicable):
Fedora 19
yum version prints:
[root@london ~]# LANG=en_US yum version
Loaded plugins: langpacks, refresh-packagekit
Installed: 19/x86_64               1953:7fec52999a78373f0e64692743bda54092c077ea
Group-Installed: yum                 16:367beb33ad93c003087d46d574f046c6c3a95711
version


How reproducible:
Install a group with yum groupinstall groupname or yum install @groupname,
try to remove them with yum groupremove groupname or yum remove @groupname.
Or try to show groups with grouplist with yum grouplist, it won't show the packages you installed after you reinstall/make a clean install fedora

- yum groupremove groupname
- yum groupinstall "name of a removed group"
- yum grouplist

Steps to Reproduce:
1. yum grouplist

Actual results:
http://fpaste.org/27598/37469866/

Expected results:
Development Tools should be listed as installed,
LibreOffice should be listed as installed,
and even more are missing...


Steps to Reproduce:
1. yum groupremove "MATE Desktop" or even try other names. or even yum remove @mate-desktop-enviroment

Actual results:
[root@london ~]# LANG=en_US yum groupremove "MATE Desktop"
Loaded plugins: langpacks, refresh-packagekit
No environment named MATE Desktop exists
No group named MATE Desktop exists
No packages to remove from groups


Expected results:
Group should be removed, 
btw. when you remove the packages manually you can't reinstall it will say that the group won't exist.


Additional info: There are several related bugs that actually don't cover all these things.
- https://bugzilla.redhat.com/show_bug.cgi?id=859008
- https://bugzilla.redhat.com/show_bug.cgi?id=980186
- https://bugzilla.redhat.com/show_bug.cgi?id=986531

I would help to resolve this issue as fast as possible since it's really bad to can't remove groups.
Comment 1 Fedora End Of Life 2015-01-09 14:05:16 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 11:20:33 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.